Loading...
Searching...
No Matches
BALL::AtomTyper Class Reference
Molecular Modeling » Molecular Structure » Miscellaneous

`#include <BALL/STRUCTURE/atomTyper.h>`

Inheritance diagram for BALL::AtomTyper:

## Public Member Functions

| AtomTyper ()
| AtomTyper (const AtomTyper &t)
virtual | ~AtomTyper ()
bool | setup (const String &filename)
| Setup with the given line based file with SMARTS expressions.
virtual void | assignTo (System &s)
void | setAromaticRings (const vector< HashSet< Atom * > > &rings)
void | setRings (const vector< HashSet< Atom * > > &rings)

## Static Public Attributes

static StringHashMap< float > | rule_times

## Protected Member Functions

void | assignTo (Molecule &mol)
virtual void | assignSpecificValues_ (Atom &)
virtual bool | specificSetup_ ()

## Protected Attributes

vector< String > | names_
vector< String > | rules_
vector< Index > | types_
vector< vector< String > > | fields_
Size | number_expected_fields_
vector< HashSet< Atom * > > | rings_
vector< HashSet< Atom * > > | aromatic_rings_
StringHashMap< vector< Position > > | element_to_rules_
HashSet< Atom * > | atoms_

## Detailed Description

Base class for a programable Atom typer. The types are assigned by using a line based file with SMARTS expressions. For usage have a look at the derived class MMFF94AtomTyper.

  Usage:
  AtomTyper typer;
  typer.setRings(...);
  typer.setAromaticRings(...);
  typer.setup(parameter_file_name);
  typer.assignTo(system);
  BALL::AtomTyper::setRings
  void setRings(const vector< HashSet< Atom * > > &rings)
  Definition atomTyper.h:65
  BALL::AtomTyper::setup
  bool setup(const String &filename)
  Setup with the given line based file with SMARTS expressions.
  BALL::AtomTyper::assignTo
  virtual void assignTo(System &s)
  BALL::AtomTyper::setAromaticRings
  void setAromaticRings(const vector< HashSet< Atom * > > &rings)
  Definition atomTyper.h:62
  BALL::AtomTyper::AtomTyper
  AtomTyper()

Definition at line 40 of file atomTyper.h.

## Constructor & Destructor Documentation

## AtomTyper() [1/2]

BALL::AtomTyper::AtomTyper | ( |  | ) |

## AtomTyper() [2/2]

BALL::AtomTyper::AtomTyper | ( | const AtomTyper & | t | ) |

## ~AtomTyper()

virtual BALL::AtomTyper::~AtomTyper | ( |  | ) |

inline virtual

Definition at line 53 of file atomTyper.h.

## Member Function Documentation

## assignSpecificValues_()

virtual void BALL::AtomTyper::assignSpecificValues_ | ( | Atom & |  | ) |

inline protected virtual

To be overloaded in derived classes to add support for additional properties e.g. charges

Definition at line 78 of file atomTyper.h.

## assignTo() [1/2]

void BALL::AtomTyper::assignTo | ( | Molecule & | mol | ) |

protected

## assignTo() [2/2]

virtual void BALL::AtomTyper::assignTo | ( | System & | s | ) |

virtual

Reimplemented in BALL::MMFF94AtomTyper.

## setAromaticRings()

void BALL::AtomTyper::setAromaticRings | ( | const vector< HashSet< Atom * > > & | rings | ) |

inline

Definition at line 62 of file atomTyper.h.

## setRings()

void BALL::AtomTyper::setRings | ( | const vector< HashSet< Atom * > > & | rings | ) |

inline

Definition at line 65 of file atomTyper.h.

## setup()

bool BALL::AtomTyper::setup | ( | const String & | filename | ) |

Setup with the given line based file with SMARTS expressions.

## specificSetup_()

virtual bool BALL::AtomTyper::specificSetup_ | ( |  | ) |

inline protected virtual

To be overloaded in derived classes to add support for additional properties e.g. charges

Definition at line 83 of file atomTyper.h.

## Member Data Documentation

## aromatic_rings_

vector<HashSet<Atom*> > BALL::AtomTyper::aromatic_rings_

protected

Definition at line 93 of file atomTyper.h.

## atoms_

HashSet<Atom*> BALL::AtomTyper::atoms_

protected

Definition at line 95 of file atomTyper.h.

## element_to_rules_

StringHashMap<vector<Position> > BALL::AtomTyper::element_to_rules_

protected

Definition at line 94 of file atomTyper.h.

## fields_

vector<vector<String> > BALL::AtomTyper::fields_

protected

Definition at line 89 of file atomTyper.h.

## names_

vector<String> BALL::AtomTyper::names_

protected

Definition at line 85 of file atomTyper.h.

## number_expected_fields_

Size BALL::AtomTyper::number_expected_fields_

protected

Definition at line 91 of file atomTyper.h.

## rings_

vector<HashSet<Atom*> > BALL::AtomTyper::rings_

protected

Definition at line 92 of file atomTyper.h.

## rule_times

StringHashMap<float> BALL::AtomTyper::rule_times

static

Definition at line 68 of file atomTyper.h.

## rules_

vector<String> BALL::AtomTyper::rules_

protected

Definition at line 86 of file atomTyper.h.

## types_

vector<Index> BALL::AtomTyper::types_

protected

Definition at line 87 of file atomTyper.h.